Package de.gebit.integrity

## Class IntegrityRuntimeEncodingProvider

- java.lang.Object
- - de.gebit.integrity.IntegrityRuntimeEncodingProvider

- All Implemented Interfaces:
    `org.eclipse.xtext.parser.IEncodingProvider`

      public class IntegrityRuntimeEncodingProvider
      extends Object
      implements org.eclipse.xtext.parser.IEncodingProvider

  Provides the encoding for .integrity script files. This allows to override the default encoding by specifying an encoding via a system property.
  Author:
    Rene Schneider - initial API and implementation

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.eclipse.xtext.parser.IEncodingProvider

      `org.eclipse.xtext.parser.IEncodingProvider.Runtime`

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static String` | `SYSPARAM_SCRIPT_ENCODING` | The system property name for script encoding configuration.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `IntegrityRuntimeEncodingProvider()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getEncoding​(org.eclipse.emf.common.util.URI aUri)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### SYSPARAM_SCRIPT_ENCODING

          public static final String SYSPARAM_SCRIPT_ENCODING

      The system property name for script encoding configuration.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### IntegrityRuntimeEncodingProvider

          public IntegrityRuntimeEncodingProvider()

  - ### Method Detail

    - #### getEncoding

          public String getEncoding​(org.eclipse.emf.common.util.URI aUri)

      Specified by:
        `getEncoding` in interface `org.eclipse.xtext.parser.IEncodingProvider`